<div align="center">
<img src="https://user-images.githubusercontent.com/50536495/170400421-0c3a1711-4484-42b1-995b-ee0095c3c7cb.png" width = "210" height = "210" alt="Get it on F-Droid"/>
  <h1>PixaPencil</h1>
  <p><b>The #1, open source pixel art editor for Android</b><br>

[![Discord](https://img.shields.io/badge/Discord-PixaPencil-blue.svg)](https://discord.com/invite/Ytm7WBMNz9)
[![Matrix](https://img.shields.io/badge/Matrix-PixaPencil-green.svg)](https://matrix.to/#/#pixapencil:matrix.org)
[![License](https://img.shields.io/badge/License-MIT-red.svg)](https://choosealicense.com/licenses/mit/)

[<img src="https://github.com/machiav3lli/oandbackupx/blob/034b226cea5c1b30eb4f6a6f313e4dadcbb0ece4/badge_github.png" alt="Get it on GitHub" height="80">](https://github.com/therealbluepandabear/PixaPencil/releases/latest)
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/en/packages/com.therealbluepandabear.pixapencil/)
</div>

## 🗏 About

Watch the trailer: https://odysee.com/@thebluepandabear:3/pixapenciltrailer:1

PixaPencil is the number one open source pixel art editor for Android.

Why you should try out PixaPencil:

- Contains over 33+ useful features (see 'Features' section below)
- 100% free of evil Google Play (tracking) services
- 100% free of evil (tracking) advertisements
- 100% commitment to open source

**Warning: if you have a phone with a _very_ small screen size (e.g. 400x800 Galaxy Core Prime) this app will not work well. Keep that in mind. I am working on making this app more compatible with smaller screen sizes, but for now it's on hold.**

PixaPencil is available in either English (US), English (UK/NZ/AU, etc), or Hebrew.

PixaPencil only runs on Android 8.0 or higher.

## 🖼️ Showcase

![image](https://user-images.githubusercontent.com/50536495/174204673-71da804b-3d83-4d96-91f5-821583aa7543.png)

![image](https://user-images.githubusercontent.com/50536495/174204000-bf8a2b63-517f-40c4-ba96-4726061b9270.png)

![image](https://user-images.githubusercontent.com/50536495/174217529-14c05774-6829-42cf-8163-cd7da436d45c.png)


**If you want to showcase an image of your own please send me an email at therealbluepandabear@gmail.com.**

## 📜 License

To disclaim, this repository is licensed under the MIT license.

For more info go to: https://choosealicense.com/licenses/mit/.

_Do not use the name '**PixaPencil**' in your app/other product._

## 📝 Features (as of June 13, 2022)
- Pencil tool
- Move tool
- Fill tool 
- Line tool
- Rectangle tool
- Outlined rectangle tool
- Square tool
- Outlined square tool
- Ellipse Tool
- Outlined Ellipse Tool
- Circle Tool
- Outlined Circle Tool
- Spray tool
- Polygon tool
- Dither tool **with custom dither brushes**
- Shading tool
- Picker tool
- Find and replace by color tool
- Erase tool
- Pixel grid
- Pixel perfect mode
- 4 symmetry options (horizontal, vertical, quad, octal) 
- Undo
- Redo
- Zoom in
- Zoom out
- Canvas filters (color filter, lighten, darken, invert, grayscale)
- Color palette support
- Brushes
- Ability to select custom colors using a color picker, RGB sliders, or HEX code
- Ability to unfavorite/favorite projects
- Ability to export projects to PNG/JPG/WEBP/TIFF/BMP
- Ability to rotate the canvas 90 degrees clockwise and anti-clockwise, as well as 180 degrees
- Ability to save projects in background

Go to https://github.com/therealbluepandabear/PixaPencil/projects to have a look at features we want to add to **PixaPencil**.

# 📓 Translations
If you spot issues with the translation send me an email at therealbluepandabear@gmail.com or open an issue request.

## 📚 Other libraries used
Thanks to these people who helped create the libraries used in the app:
- duanhong169 (https://github.com/duanhong169) - ColorPicker (https://github.com/duanhong169/ColorPicker)
- yshrsmz (https://github.com/yshrsmz) - KeyboardVisibilityEvent (https://github.com/yshrsmz/KeyboardVisibilityEvent) 
- Beyka (https://github.com/Beyka) - Android-TiffBitmapFactory (https://github.com/Beyka/Android-TiffBitmapFactory)
- bumptech (https://github.com/bumptech) - Glide (https://github.com/bumptech/glide)
- Tianscar (https://github.com/Tianscar) - Quick Image (https://github.com/Tianscar/quickimage) 
- Takusemba (https://github.com/TakuSemba) - Spotlight (https://github.com/TakuSemba/Spotlight)

## Mirror Repo (in case of censorship)

https://bitbucket.org/thebluepandabear/pixapencil/src/master/
